| Fast DDS Version 3.3.0 Fast DDS

Loading...
Searching...
No Matches
MinimalBitfield Class Reference
eProsima Fast DDS API Reference » DDS Public API » DDS TypeObject API

This class represents the structure MinimalBitfield defined by the user in the IDL file. More...

`#include <dds_xtypes_typeobject.hpp>`

## Public Member Functions

eProsima_user_DllExport | MinimalBitfield ()
| Default constructor.
eProsima_user_DllExport | ~MinimalBitfield ()
| Default destructor.
eProsima_user_DllExport | MinimalBitfield (const MinimalBitfield &x)
| Copy constructor.
eProsima_user_DllExport | MinimalBitfield (MinimalBitfield &&x) noexcept
| Move constructor.
eProsima_user_DllExport MinimalBitfield & | operator= (const MinimalBitfield &x)
| Copy assignment.
eProsima_user_DllExport MinimalBitfield & | operator= (MinimalBitfield &&x) noexcept
| Move assignment.
eProsima_user_DllExport bool | operator== (const MinimalBitfield &x) const
| Comparison operator.
eProsima_user_DllExport bool | operator!= (const MinimalBitfield &x) const
| Comparison operator.
eProsima_user_DllExport void | common (const CommonBitfield &_common)
| This function copies the value in member common.
eProsima_user_DllExport void | common (CommonBitfield &&_common)
| This function moves the value in member common.
eProsima_user_DllExport const CommonBitfield & | common () const
| This function returns a constant reference to member common.
eProsima_user_DllExport CommonBitfield & | common ()
| This function returns a reference to member common.
eProsima_user_DllExport void | name_hash (const NameHash &_name_hash)
| This function copies the value in member name_hash.
eProsima_user_DllExport void | name_hash (NameHash &&_name_hash)
| This function moves the value in member name_hash.
eProsima_user_DllExport const NameHash & | name_hash () const
| This function returns a constant reference to member name_hash.
eProsima_user_DllExport NameHash & | name_hash ()
| This function returns a reference to member name_hash.

## Detailed Description

This class represents the structure MinimalBitfield defined by the user in the IDL file.

## Constructor & Destructor Documentation

## ◆ MinimalBitfield() [1/3]

eProsima_user_DllExport MinimalBitfield | ( |  | ) |

inline

Default constructor.

## ◆ ~MinimalBitfield()

eProsima_user_DllExport ~MinimalBitfield | ( |  | ) |

inline

Default destructor.

## ◆ MinimalBitfield() [2/3]

eProsima_user_DllExport MinimalBitfield | ( | const MinimalBitfield & | x | ) |

inline

Copy constructor.

Parameters

  x | Reference to the object MinimalBitfield that will be copied.

## ◆ MinimalBitfield() [3/3]

eProsima_user_DllExport MinimalBitfield | ( | MinimalBitfield && | x | ) |

inline noexcept

Move constructor.

Parameters

  x | Reference to the object MinimalBitfield that will be copied.

## Member Function Documentation

## ◆ common() [1/4]

eProsima_user_DllExport CommonBitfield & common | ( |  | ) |

inline

This function returns a reference to member common.

Returns
  Reference to member common

## ◆ common() [2/4]

eProsima_user_DllExport const CommonBitfield & common | ( |  | ) | const

inline

This function returns a constant reference to member common.

Returns
  Constant reference to member common

## ◆ common() [3/4]

eProsima_user_DllExport void common | ( | CommonBitfield && | _common | ) |

inline

This function moves the value in member common.

Parameters

  _common | New value to be moved in member common

## ◆ common() [4/4]

eProsima_user_DllExport void common | ( | const CommonBitfield & | _common | ) |

inline

This function copies the value in member common.

Parameters

  _common | New value to be copied in member common

## ◆ name_hash() [1/4]

eProsima_user_DllExport NameHash & name_hash | ( |  | ) |

inline

This function returns a reference to member name_hash.

Returns
  Reference to member name_hash

## ◆ name_hash() [2/4]

eProsima_user_DllExport const NameHash & name_hash | ( |  | ) | const

inline

This function returns a constant reference to member name_hash.

Returns
  Constant reference to member name_hash

## ◆ name_hash() [3/4]

eProsima_user_DllExport void name_hash | ( | const NameHash & | _name_hash | ) |

inline

This function copies the value in member name_hash.

Parameters

  _name_hash | New value to be copied in member name_hash

## ◆ name_hash() [4/4]

eProsima_user_DllExport void name_hash | ( | NameHash && | _name_hash | ) |

inline

This function moves the value in member name_hash.

Parameters

  _name_hash | New value to be moved in member name_hash

## ◆ operator!=()

eProsima_user_DllExport bool operator!= | ( | const MinimalBitfield & | x | ) | const

inline

Comparison operator.

Parameters

  x | MinimalBitfield object to compare.

## ◆ operator=() [1/2]

eProsima_user_DllExport MinimalBitfield & operator= | ( | const MinimalBitfield & | x | ) |

inline

Copy assignment.

Parameters

  x | Reference to the object MinimalBitfield that will be copied.

## ◆ operator=() [2/2]

eProsima_user_DllExport MinimalBitfield & operator= | ( | MinimalBitfield && | x | ) |

inline noexcept

Move assignment.

Parameters

  x | Reference to the object MinimalBitfield that will be copied.

## ◆ operator==()

eProsima_user_DllExport bool operator== | ( | const MinimalBitfield & | x | ) | const

inline

Comparison operator.

Parameters

  x | MinimalBitfield object to compare.

The documentation for this class was generated from the following file:

- include/fastdds/dds/xtypes/type_representation/detail/dds_xtypes_typeobject.hpp